BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.SystemException

Represents the error that occurs when an exception is thrown inside the static constructor of a type.

When a static constructor fails to initialize a type, a instance is created and passed a reference to the exception thrown by the static constructor. The property stores the exception that was thrown by the static constructor.

The following example demonstrates an error that causes a exception.

`using System; class TypeInit { // Static constructor static TypeInit () { // Throw an application-defined exception. throw new ApplicationException("Error in Class TypeInit"); } public TypeInit() {} } class TestTypeInit { static public void Main() { try { TypeInit t = new TypeInit (); } catch (TypeInitializationException e) { Console.WriteLine("Error: {0}",e); } } }`

The output is

`Error: System.TypeInitializationException: The type initializer for "TypeInit" threw an exception. ---> System.ApplicationException: Error in Class TypeInit at TypeInit..cctor() --- End of inner exception stack trace --- at TypeInit..ctor() at TestTypeInit.Main()`
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String

  Gets the fully qualified name of the type that causes the exception.

  A that contains the fully qualified name of the type that caused the exception.

  This property is read-only.

  The property returns the same value as was passed into the constructor.

  0
  1.0.5000.0
  2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)